{"label":"JS","syntax":"js"}
//CHARGEMENT DE LA PAGE
function init_plugin_{{plugin}}(){
	switch($.urlParam('page')){
		default:
		break;
	}
	{{plugin}}_{{entity}}_search();
	{{~! Recherche non avancée}}
	$('#{{entity}}s').sortable_table({
		onSort : {{plugin}}_{{entity}}_search
	});{{/~}}
}

{{~! Pas de page réglages }}
//Enregistrement des configurations
function {{plugin}}_setting_save(){
	$.action({ 
		action : '{{plugin}}_setting_save', 
		fields :  $('#{{plugin}}-setting-form').toJson() 
	},function(){ $.message('info','Configuration enregistrée'); });
}
{{/~}}

/** {{ENTITY}} **/
	
//Récuperation d'une liste de {{entity}} dans le tableau #{{entity}}s
function {{plugin}}_{{entity}}_search(callback){
	
		
	$('#{{entity}}s').fill({
		action:'{{plugin}}_{{entity}}_search'{{~! Recherche non avancée}},
		filters : $('#filters').filters(),
		sort : $('#{{entity}}s').sortable_table('get'){{/~}}
	},function(){
		if(callback!=null) callback();
	});
}

//Ajout ou modification d'élément {{entity}}
function {{plugin}}_{{entity}}_save(){
	var data = $('#{{entity}}-form').toJson();
	$.action(data,function(r){
		
		{{~ Formulaire dans le tableau de liste }}
			$('#{{entity}}-form').attr('data-id','');
			{{plugin}}_{{entity}}_search();
		{{/~}}
		$.message('success','Enregistré');
	});
}

{{~ Formulaire dans le tableau de liste }}
//Récuperation ou edition d'élément {{entity}}
function {{plugin}}_{{entity}}_edit(element){
	var line = $(element).closest('tr');
	$.action({action:'{{plugin}}_{{entity}}_edit',id:line.attr('data-id')},function(r){
		$.setForm('#{{entity}}-form',r);
		$('#{{entity}}-form').attr('data-id',r.id);
	});
}
{{/~}}
//Suppression d'élement {{entity}}
function {{plugin}}_{{entity}}_delete(element){
	if(!confirm('Êtes vous sûr de vouloir supprimer cet item ?')) return;
	var line = $(element).closest('tr');
	$.action({
		action : '{{plugin}}_{{entity}}_delete',
		id : line.attr('data-id')
	},function(r){
		line.remove();
		$.message('info','Élement supprimé');
	});
}

